Subject: Re: bug#6755: 24.0.50; Customize buffer is too wide. Put doc string on separate line.

From: Mauro Aranda <[email-masked]>
Date: Mon, 16 Sep 2019 11:54:27 -0300

Lars Magne Ingebrigtsen <[email-masked]> writes:

> "Drew Adams" <[email-masked]> writes:
>
>>> So now the question is how the text should be formatted.  Perhaps
>>> folding it after inserting it is the right way?  Anybody know
>>> how?  :-)
>>> (I mean, without breaking the widget machinery...)
>>
>> Not sure if this is what you are asking, but just make sure it starts
>> on a new line.  That would take care of this problem and similar.
>> IOW, start with a newline.
>
> Starting with a newline didn't look very nice.  Most of the option
> values are short, and moving them away from the button made the
> interface less understandable.
>
> I think the right solution is to output the string where it is now, but
> to fill it if it's too long.

I have an idea on how to implement the solution proposed by Lars.
I think filling after inserting the :tag property of a widget would be
enough.

But I wanted to ask first, do we really want to make this behavior
unconditional in the widget library?  Or would it be better to provide
it as an option, for customize (and possibly other clients) to set it?

Best regards,
Mauro.